Upload a media file
curl --request POST \
--url https://api.teasy.link/v1/uploads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file": "<string>"
}
'import requests
url = "https://api.teasy.link/v1/uploads"
payload = { "file": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({file: '<string>'})
};
fetch('https://api.teasy.link/v1/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.teasy.link/v1/uploads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'file' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.teasy.link/v1/uploads"
payload := strings.NewReader("{\n \"file\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.teasy.link/v1/uploads")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"file\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.teasy.link/v1/uploads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"file\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"object": "upload",
"url": "https://cdn.teasy.link/uploads/6f1c.../3a9d....webp"
}{
"error": {
"code": "invalid_request",
"message": "Redirect not found.",
"request_id": "req_9f2c5a4b7d4c31a2f86e0d91b3c7aa10",
"value": "tease_chat",
"details": [
{
"field": "target_url",
"code": "invalid_value",
"message": "target_url must be a valid URL"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "Redirect not found.",
"request_id": "req_9f2c5a4b7d4c31a2f86e0d91b3c7aa10",
"value": "tease_chat",
"details": [
{
"field": "target_url",
"code": "invalid_value",
"message": "target_url must be a valid URL"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "Redirect not found.",
"request_id": "req_9f2c5a4b7d4c31a2f86e0d91b3c7aa10",
"value": "tease_chat",
"details": [
{
"field": "target_url",
"code": "invalid_value",
"message": "target_url must be a valid URL"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "Redirect not found.",
"request_id": "req_9f2c5a4b7d4c31a2f86e0d91b3c7aa10",
"value": "tease_chat",
"details": [
{
"field": "target_url",
"code": "invalid_value",
"message": "target_url must be a valid URL"
}
]
}
}Uploads
Upload Media
Accepts JPEG, PNG, GIF, WebP (up to 5 MB) and MP4 (up to 10 MB).
POST
/
v1
/
uploads
Upload a media file
curl --request POST \
--url https://api.teasy.link/v1/uploads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file": "<string>"
}
'import requests
url = "https://api.teasy.link/v1/uploads"
payload = { "file": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({file: '<string>'})
};
fetch('https://api.teasy.link/v1/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.teasy.link/v1/uploads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'file' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.teasy.link/v1/uploads"
payload := strings.NewReader("{\n \"file\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.teasy.link/v1/uploads")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"file\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.teasy.link/v1/uploads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"file\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"object": "upload",
"url": "https://cdn.teasy.link/uploads/6f1c.../3a9d....webp"
}{
"error": {
"code": "invalid_request",
"message": "Redirect not found.",
"request_id": "req_9f2c5a4b7d4c31a2f86e0d91b3c7aa10",
"value": "tease_chat",
"details": [
{
"field": "target_url",
"code": "invalid_value",
"message": "target_url must be a valid URL"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "Redirect not found.",
"request_id": "req_9f2c5a4b7d4c31a2f86e0d91b3c7aa10",
"value": "tease_chat",
"details": [
{
"field": "target_url",
"code": "invalid_value",
"message": "target_url must be a valid URL"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "Redirect not found.",
"request_id": "req_9f2c5a4b7d4c31a2f86e0d91b3c7aa10",
"value": "tease_chat",
"details": [
{
"field": "target_url",
"code": "invalid_value",
"message": "target_url must be a valid URL"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "Redirect not found.",
"request_id": "req_9f2c5a4b7d4c31a2f86e0d91b3c7aa10",
"value": "tease_chat",
"details": [
{
"field": "target_url",
"code": "invalid_value",
"message": "target_url must be a valid URL"
}
]
}
}Authorizations
API key issued in the dashboard. Server-side only: never ship it to a browser, and never pass it as a query parameter.
Body
application/json
Response
Example:
"upload"
This is what you get when you upload a media file to our storage. You can use the url you get without any changes when creating landing pages, widgets, or any other entity that needs media. IMPORTANT: files don't live forever if they're not used. After a certain amount of time, these files are deleted, so try to use them as soon as possible.
Example:
"https://cdn.teasy.link/uploads/6f1c.../3a9d....webp"